void watch_main();

#ifdef SIMULATE
#define log(fmt, args...) printf("[%s:%d]" fmt "\n", __func__, __LINE__, ##args)
int main() {
    simulator_init();
    watch_main();
    simulator_wait();
    return 0;
}
#else
#define log(fmt, args...)
int main() {
    watch_main();
    return 0;
}
#endif

#define LAYER_SET_TEXT(id, text) app_layer_set_text_text(app_window_get_layer_by_id(window, id), text);

#define LAYER_SET_TEXT1(id, bufsize, fmt, args...) \
{\
    char buf[bufsize];\
    sprintf(buf, fmt, ##args);\
    LAYER_SET_TEXT(id, buf);\
}

#define LAYER_SET_BMP(id, key) \
{\
    GBitmap bmp;\
    res_get_user_bitmap(key, &bmp);\
    app_layer_set_bitmap_bitmap(app_window_get_layer_by_id(window, id), &bmp);\
}
